# LogDoctor: FieldData Struct Reference

Loading...
Searching...
No Matches
FieldData Struct Referencefinal

FieldData. More...

`#include <lib.h>`

## Public Member Functions

| operator bool () const noexcept
| Returns whether the field contains data.
const std::string & | operator* () const noexcept
| Returns a reference to the field's data.
size_t | operator+ (const FieldData &rhs) const noexcept
| Returns the sum of the field's data size with another field's data size.

## Friends

size_t | operator+ (const size_t lhs, const FieldData &rhs) noexcept
| Returns the sum of the field's data size with the given size.

## Detailed Description

FieldData.

Holds the data of a single field from a log line

See also
  LogLineData

The documentation for this struct was generated from the following file:

- logdoctor/modules/craplog/modules/workers/lib.h